mod add;
mod delete;
mod duplicate;
mod export;
mod list;
mod sync;

pub use add::*;
pub use delete::*;
pub use duplicate::*;
pub use export::*;
pub use list::*;
pub use sync::*;

use std::fs::File;
use std::io::{self, BufRead};
use std::path::Path;

// The output is wrapped in a Result to allow matching on errors
// Returns an Iterator to the Reader of the lines of the file.
fn read_lines<P>(filename: P) -> io::Result<io::Lines<io::BufReader<File>>>
where
    P: AsRef<Path>,
{
    let file = File::open(filename)?;
    Ok(io::BufReader::new(file).lines())
}
